/**
 * <copyright> 
 * 
 * Copyright (c) 2004-2005 IBM Corporation and others. 
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Eclipse Public License - v 1.0 
 * which accompanies this distribution, and is available at 
 * http://opensource.org/licenses/eclipse-1.0.txt 
 * 
 * Contributors: 
 *   IBM - Initial API and implementation 
 * 
 * </copyright> 
 * 
 * $Id: DisjunctionLink.java,v 1.1.1.1 2006/01/31 09:13:26 gxie Exp $
 */

package org.eclipse.eodm.owl.reasoner.structural;

/**
 * DisjunctionLink TODO Please add comments here.
 */
public class DisjunctionLink extends NodeLink {
    public DisjunctionLink(OWLClassClassificationGraph graph) {
        super(graph);
    }

    public DisjunctionLink(OWLClassClassificationGraph graph, OWLClassNode source,
            OWLClassNode target, int targetID) {
        super(graph, source, target);
        setTargetID(targetID);
    }

    public void setSource(OWLClassNode source) {
        if (this.source != source) {
            if (this.source != null) {
                this.source.disjunctionLinks.remove(this);
            }
            this.source = source;
            if (source != null) {
                source.disjunctionLinks.add(this);
            }
        }
    }

    public void setTarget(OWLClassNode target) {
        this.target = target;
    }

    public int getTargetID() {
        return targetID;
    }

    public void setTargetID(int targetID) {
        this.targetID = targetID;
    }

    int targetID;
}
