/**
 * <copyright> 
 * 
 * Copyright (c) 2004-2005 IBM Corporation and others. 
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Eclipse Public License - v 1.0 
 * which accompanies this distribution, and is available at 
 * http://opensource.org/licenses/eclipse-1.0.txt 
 * 
 * Contributors: 
 *   IBM - Initial API and implementation 
 * 
 * </copyright> 
 * 
 * $Id: IntObject.java,v 1.1.1.1 2006/01/31 09:13:26 gxie Exp $
 */

package org.eclipse.eodm.owl.reasoner.structural;

/**
 * IntObject TODO Please add comments here.
 */
public class IntObject {
    public IntObject(int value) {
        this.value = value;
    }

    public int value;

    public boolean equals(Object obj) {
        if (obj != null && obj instanceof IntObject) {
            return value == ((IntObject) obj).value;
        }
        return false;
    }

    public int hashCode() {
        return value;
    }

    public String toString() {
        return String.valueOf(value);
    }
}
