/**
 * <copyright> 
 * 
 * Copyright (c) 2004-2005 IBM Corporation and others. 
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Eclipse Public License - v 1.0 
 * which accompanies this distribution, and is available at 
 * http://opensource.org/licenses/eclipse-1.0.txt 
 * 
 * Contributors: 
 *   IBM - Initial API and implementation 
 * 
 * </copyright> 
 * 
 * $Id: OWLTransformationException.java,v 1.2 2006/06/22 05:08:16 gxie Exp $
 */

package org.eclipse.eodm.owl.transformer;

public class OWLTransformationException extends Exception {

	private static final long serialVersionUID = -3549369689190439497L;

	/**
     * Constructor.
     * 
     * @param message
     *            errror message
     */
    public OWLTransformationException(String message) {
        super(message);
    }

    /**
     * Default constructor
     *  
     */
    public OWLTransformationException() {
        super();
    }
}
