/**
 * <copyright> 
 * 
 * Copyright (c) 2004-2005 IBM Corporation and others. 
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Eclipse Public License - v 1.0 
 * which accompanies this distribution, and is available at 
 * http://opensource.org/licenses/eclipse-1.0.txt 
 * 
 * Contributors: 
 *   IBM - Initial API and implementation 
 * 
 * </copyright> 
 * 
 * $Id: RDFSTransformationException.java,v 1.2 2006/06/22 05:07:57 gxie Exp $
 */

package org.eclipse.eodm.rdfs.transformer;

/**
 * 
 * Exceptions realated with Translator.
 *  
 */
public class RDFSTransformationException extends Exception {

	private static final long serialVersionUID = -8016625132400163319L;

	/**
     * Constructor.
     * 
     * @param message
     *            errror message
     */
    public RDFSTransformationException(String message) {
        super(message);
    }

    /**
     * Default constructor
     *  
     */
    public RDFSTransformationException() {
        super();
    }

}
